Package org.apache.lucene.search.grouping

# Enum Class TopGroups.ScoreMergeMode

java.lang.Object
java.lang.Enum<TopGroups.ScoreMergeMode>
org.apache.lucene.search.grouping.TopGroups.ScoreMergeMode

All Implemented Interfaces:
  `Serializable`, `Comparable<TopGroups.ScoreMergeMode>`, `Constable`

Enclosing class:
  `TopGroups<T>`

public static enum TopGroups.ScoreMergeMode extends Enum<TopGroups.ScoreMergeMode>
How the GroupDocs score (if any) should be merged.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Avg`
  `None`
  Set score to Float.NaN
  `Total`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TopGroups.ScoreMergeMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TopGroups.ScoreMergeMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final TopGroups.ScoreMergeMode None
    Set score to Float.NaN

  - ### Total

    public static final TopGroups.ScoreMergeMode Total

  - ### Avg

    public static final TopGroups.ScoreMergeMode Avg

- ## Method Details

  - ### values

    public static TopGroups.ScoreMergeMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TopGroups.ScoreMergeMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null